MixedNafR2LMultiplier (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.math.ec

## Class MixedNafR2LMultiplier

- java.lang.Object
- - org.bouncycastle.math.ec.AbstractECMultiplier
  - - org.bouncycastle.math.ec.MixedNafR2LMultiplier

- All Implemented Interfaces:
    ECMultiplier

      public class MixedNafR2LMultiplier
      extends AbstractECMultiplier

  Class implementing the NAF (Non-Adjacent Form) multiplication algorithm (right-to-left) using mixed coordinates.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `additionCoord`
    `protected int` | `doublingCoord`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MixedNafR2LMultiplier()` By default, addition will be done in Jacobian coordinates, and doubling will be done in Modified Jacobian coordinates (independent of the original coordinate system of each point).
    `MixedNafR2LMultiplier(int additionCoord, int doublingCoord)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ECCurve` | `configureCurve(ECCurve c, int coord)`
    `protected ECPoint` | `multiplyPositive(ECPoint p, java.math.BigInteger k)`

    - ### Methods inherited from class org.bouncycastle.math.ec.AbstractECMultiplier

      `multiply`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### additionCoord

          protected int additionCoord

    - #### doublingCoord

          protected int doublingCoord

  - ### Constructor Detail

    - #### MixedNafR2LMultiplier

          public MixedNafR2LMultiplier()

      By default, addition will be done in Jacobian coordinates, and doubling will be done in Modified Jacobian coordinates (independent of the original coordinate system of each point).

    - #### MixedNafR2LMultiplier

          public MixedNafR2LMultiplier(int additionCoord,
                               int doublingCoord)

  - ### Method Detail

    - #### multiplyPositive

          protected ECPoint multiplyPositive(ECPoint p,
                                 java.math.BigInteger k)

      Specified by:
        `multiplyPositive` in class `AbstractECMultiplier`

    - #### configureCurve

          protected ECCurve configureCurve(ECCurve c,
                               int coord)